org.apache.tinkerpop.gremlin.process.traversal.step.util

## Class HasContainer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.HasContainer

- All Implemented Interfaces:
    Serializable, Cloneable, Predicate<Element>

      public class HasContainer
      extends Object
      implements Serializable, Cloneable, Predicate<Element>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasContainer(String key, P<?> predicate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HasContainer` | `clone()`
    `BiPredicate<?,?>` | `getBiPredicate()`
    `String` | `getKey()`
    `P<?>` | `getPredicate()`
    `Object` | `getValue()`
    `int` | `hashCode()`
    `static HasContainer[]` | `makeHasContainers(String key, P<?> predicate)` Deprecated. As of release 3.2.4. Providers should handle composite `P.and(java.util.function.Predicate<? super V>)` predicates and not rely on splitting.
    `void` | `setKey(String key)`
    `boolean` | `test(Element element)`
    `static boolean` | `testAll(Element element, List<HasContainer> hasContainers)`
    `protected boolean` | `testId(Element element)`
    `protected boolean` | `testIdAsString(Element element)`
    `protected boolean` | `testKey(Property property)`
    `protected boolean` | `testLabel(Element element)`
    `protected boolean` | `testValue(Property property)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

- - ### Constructor Detail

    - #### HasContainer

          public HasContainer(String key,
                              P<?> predicate)

  - ### Method Detail

    - #### test

          public final boolean test(Element element)

      Specified by:
        `test` in interface `Predicate<Element>`

    - #### testId

          protected boolean testId(Element element)

    - #### testIdAsString

          protected boolean testIdAsString(Element element)

    - #### testLabel

          protected boolean testLabel(Element element)

    - #### testValue

          protected boolean testValue(Property property)

    - #### testKey

          protected boolean testKey(Property property)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public HasContainer clone()

      Overrides:
        `clone` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getKey

          public final String getKey()

    - #### setKey

          public final void setKey(String key)

    - #### getPredicate

          public final P<?> getPredicate()

    - #### getBiPredicate

          public final BiPredicate<?,?> getBiPredicate()

    - #### getValue

          public final Object getValue()

    - #### testAll

          public static boolean testAll(Element element,
                                        List<HasContainer> hasContainers)

    - #### makeHasContainers

          @Deprecated
          public static HasContainer[] makeHasContainers(String key,
                                                                     P<?> predicate)

      Deprecated. As of release 3.2.4. Providers should handle composite `P.and(java.util.function.Predicate<? super V>)` predicates and not rely on splitting.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.